Bug 1284506 - tuned-profiles-atomic-openshift-node man is not updated to "atomic-openshift-X" new naming
tuned-profiles-atomic-openshift-node man is not updated to "atomic-openshift-...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Scott Dodson
chaoyang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 08:53 EST by Eduardo Minguez
Modified: 2016-01-26 14:19 EST (History)
8 users (show)

See Also:
Fixed In Version: atomic-openshift-3.1.0.901-1.git.0.e015bcc.el7aos
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 14:19:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Minguez 2015-11-23 08:53:55 EST
Description of problem:
man tuned-profiles-atomic-openshift-node speaks about "openshift-node-host" and "openshift-node-guest" instead the new ones (prefixed with atomic)

Version-Release number of selected component (if applicable):
3.1

How reproducible:
Install OSE 3.1

Steps to Reproduce:
1. man tuned-profiles-atomic-openshift-node
2. look for "atomic-openshift"

Actual results:
Nothing found

Expected results:
The real tuned profiles are shown

Additional info:
Comment 1 Scott Dodson 2015-12-02 10:42:47 EST
https://github.com/openshift/origin/pull/6166
Comment 2 Scott Dodson 2015-12-08 15:09:46 EST
AOS rpms should now produce man pages that reference 'atomic-openshift-node-host' and 'atomic-openshift-node-guest' profiles.
Comment 3 Johnny Liu 2015-12-21 21:29:15 EST
Verified this bug with tuned-profiles-atomic-openshift-node-3.1.1.0-1.git.0.8632732.el7aos.x86_64, and PASS.


# rpm -ql tuned-profiles-atomic-openshift-node
/usr/lib/tuned/atomic-openshift-node-guest
/usr/lib/tuned/atomic-openshift-node-guest/tuned.conf
/usr/lib/tuned/atomic-openshift-node-host
/usr/lib/tuned/atomic-openshift-node-host/tuned.conf
/usr/share/licenses/tuned-profiles-atomic-openshift-node-3.1.1.0
/usr/share/licenses/tuned-profiles-atomic-openshift-node-3.1.1.0/LICENSE
/usr/share/man/man7/tuned-profiles-atomic-openshift-node.7.gz


# man tuned-profiles-atomic-openshift-node
<--snip-->
NAME
       tuned-profiles-atomic-openshift-node - description of profiles provided for OpenShift

DESCRIPTION
       These  profiles  are  provided  for OpenShift nodes. They provide performance optimizations for OpenShift Nodes running on either
       bare metal (atomic-openshift-node-host) or virtual machines (atomic-openshift-node-guest).

PROFILES
       The following profiles are provided:

       atomic-openshift-node-host
              Profile optimized for OpenShift hosts (bare metal).  It  is  based  on  throughput-performance  profile.  It  additionally
              increases SELinux AVC cache, PID limit and tunes netfilter connections tracking.

       atomic-openshift-node-guest
              Profile  optimized  for  virtual OpenShift guests. It is based on virtual-guest profile. It additionally increases SELinux
              AVC cache, PID limit and tunes netfilter connections tracking.
<--snip-->
Comment 5 errata-xmlrpc 2016-01-26 14:19:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:0070

Note You need to log in before you can comment on or make changes to this bug.